Imagick::compareImageLayers
Imagick::compositeImage
The Imagick class
PHP Manual

# Imagick::compareImages

(No version information available, might be only in CVS)

Imagick::compareImages — Compares an image to a reconstructed image

### Description

array Imagick::compareImages ( Imagick `$compare` , int `$metric` )
Warning

This function is currently not documented; only its argument list is available.

Returns an array containing a reconstructed image and the difference between images.

### Parameters

`compare`

  An image to compare to.

`metric`

  Provide a valid metric type constant. Refer to this list of metic constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::compareImages():

Compare images and display the reconstructed image

`<?php
$image1 = new imagick("image1.png");
$image2 = new imagick("image2.png");
$result = $image1->compareImage($image2, Imagick::METRIC_MEANSQUAREERROR);
$result[0]->setImageFormat("png");
header("Content-Type: image/png");
echo $result[0];
?>`

Imagick::compareImageLayers
Imagick::compositeImage
The Imagick class
PHP Manual